Mailinglist Archive: yast-devel (191 mails)

< Previous Next >
Re: [yast-devel] Package-Bindings
  • From: Lukas Ocilka <lukas.ocilka@xxxxxxx>
  • Date: Thu, 20 Mar 2008 11:13:57 +0100
  • Message-id: <47E238E5.7080708@xxxxxxx>
Michael Andres napsal(a):
I would not put it that way. The solver does not refuse to respect user's
decision.

You can't ask someone to make a decision and then complain that it's not
what you had decided. ;)
...
Challenging for the UI to explain all this to the user.

Everything (these) users want is to have the latest packages installed
on their systems.

Use case:
1.) Show all packages from PacKman
2.) Click "All Packages"
3.) Select "Upgrade all (if possible, of course)"
4.) Check dependencies
5.) Solve conflicts (which might end up in some packages not being
upgraded despite the fact there is a newer one available).
6.) Install/Upgrade packages

That's all ~ and it's quite easy to present it to user.
This is not for unexperienced users, of course. Solving conflicts might
be nontrivial.

L.

< Previous Next >
Follow Ups